PropertyWrapperDefinition (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta

## Interface PropertyWrapperDefinition

- All Superinterfaces:
    Comparable<PropertyDefinition>, MetadataObject, MetaDefinition, PropertyDefinition, WeakReferenceTarget
  All Known Implementing Classes:
    PropertyWrapperDefinitionImpl

      public interface PropertyWrapperDefinition
      extends PropertyDefinition

  Specifies a globally unique alias for a property that was originally defined to be used in another class. This allows the property to be used unambiguously in more than one class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyWrapperDefinition` | `clone()` Create a cloned copy of this property wrapper definition.
    `PropertyDefinition` | `getOriginalProperty()` Returns the original definition of the reused property.
    `void` | `setOriginalProperty(PropertyDefinition propertyDefinition)` Sets the original definition of the reused property.

    - ### Methods inherited from interface tv.amwa.maj.meta.PropertyDefinition

      `getFlattenXML, getIsOptional, getIsUniqueIdentifier, getIsXMLAttribute, getIsXMLCDATA, getLocalIdentification, getMemberOf, getPropertyType, getPropertyValue, getSymbol, getTypeDefinition, getWeight, isPropertyPresent, omitOptionalProperty, setMemberOf, setPropertyValue`

    - ### Methods inherited from interface tv.amwa.maj.meta.MetaDefinition

      `appendMetadictXML, deepEquals, equals, getAAFNamesInUse, getAliases, getAUID, getDescription, getName, getNamespace, getPrefix, hashCode, setAAFNamesInUse, setDescription, setName, setNamespace, setPrefix, setSymbol, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getWeakTargetReference`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getOriginalProperty

          PropertyDefinition getOriginalProperty()

      Returns the original definition of the reused property.

      Returns:
        Original definition of the reused property.

    - #### setOriginalProperty

          void setOriginalProperty(PropertyDefinition propertyDefinition)
                            throws NullPointerException,
                                   IllegalArgumentException

      Sets the original definition of the reused property.

      Parameters:
        `propertyDefinition` - Original definition of the reused property.
      Throws:
        `NullPointerException` - Cannot set the original property definition using a `null` value.
        `IllegalArgumentException` - The given property definition is not compatible with this property, for example it has the same identification or is for a different type.

    - #### clone

          PropertyWrapperDefinition clone()

      Create a cloned copy of this property wrapper definition.

      Specified by:
        `clone` in interface `MetaDefinition`
      Specified by:
        `clone` in interface `PropertyDefinition`
      Returns:
        Cloned copy of this property wrapper definition.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.